TODO:
- [ ] support multiple type lists w/ array types, eg the () parts of these:

```php
/** @var int */
/** @var (int) */
/** @var int[] */
/** @var (int)[] */
/** @var int|string */
/** @var int|(string) */
/** @var (int|string) */
/** @var (int|string)[] */
/** @var (int[]|string[]) */
/** @var (int[]|string[])[] */
```

- [x] support Psalm simple array types: https://psalm.dev/docs/annotating_code/type_syntax/array_types/

```php
/** @return array<TKey, TValue> */
/** @psalm-param list<string> $arr */
```

- [ ] support Psalm array object types:

```php
/** @return array{foo: string, bar: int} */
/** @return array{optional?: string, bar: int} */
```

- [ ] Psalm annotations: https://psalm.dev/docs/annotating_code/supported_annotations/
  - basically, anything that stars w/ `@psalm-`

- [ ] Psalm `@var` "off label" usage

- [x] PHPUnit annotations: https://phpunit.readthedocs.io/en/9.5/annotations.html
    - [ ] differentiate annotations that take no args, types, etc
